using System.Collections.Generic;

namespace Ryujinx.HLE.HOS.Services.Settings
{
    static class NxSettings
    {
        // Generated automatically from a Switch 3.0 config file (Tid: 0100000000000818).
        public static Dictionary<string, object> Settings = new Dictionary<string, object>
        {
            { "account!na_required_for_network_service", true },
            { "account.daemon!background_awaking_periodicity", 10800 },
            { "account.daemon!schedule_periodicity", 3600 },
            { "account.daemon!profile_sync_interval", 18000 },
            { "account.daemon!na_info_refresh_interval", 46800 },
            { "am.display!transition_layer_enabled", true },
            { "am.gpu!gpu_scheduling_enabled", true },
            { "am.gpu!gpu_scheduling_frame_time_us", 116666 },
            { "am.gpu!gpu_scheduling_fg_app_us", 116166 },
            { "am.gpu!gpu_scheduling_bg_app_us", 104500 },
            { "am.gpu!gpu_scheduling_oa_us", 500 },
            { "am.gpu!gpu_scheduling_fg_sa_us", 11666 },
            { "am.gpu!gpu_scheduling_bg_sa_us", 0 },
            { "am.gpu!gpu_scheduling_fg_la_us", 11666 },
            { "am.gpu!gpu_scheduling_partial_fg_la_us", 2000 },
            { "am.gpu!gpu_scheduling_bg_la_us", 0 },
            { "audio!audren_log_enabled", false },
            { "audio!audout_log_enabled", false },
            { "audio!audin_log_enabled", false },
            { "audio!hwopus_log_enabled", false },
            { "audio!adsp_log_enabled", false },
            { "audio!suspend_for_debugger_enabled", false },
            { "audio!uac_speaker_enabled", false },
            { "bgtc!enable_halfawake", 1 },
            { "bgtc!enable_battery_saver", 1 },
            { "bgtc!leaving_halfawake_margin", 3 },
            { "bgtc!battery_threshold_save", 20 },
            { "bgtc!battery_threshold_stop", 20 },
            { "bgtc!minimum_interval_normal", 1800 },
            { "bgtc!minimum_interval_save", 86400 },
            { "boot!force_maintenance", false },
            { "capsrv!screenshot_layerstack", "screenshot" },
            { "capsrv!enable_album_screenshot_filedata_verification", true },
            { "devmenu!enable_application_update", true },
            { "devmenu!enable_exhibition_mode", false },
            { "eclct!analytics_override", false },
            { "eclct!analytics_pollperiod", 86400 },
            { "err!applet_auto_close", false },
            { "friends!background_processing", true },
            { "htc!disconnection_emulation", false },
            { "idle!dim_level_percent_lcd", 10 },
            { "idle!dim_level_percent_tv", 70 },
            { "lbl!force_disable_als", false },
            { "lm!enable_sd_card_logging", false },
            { "lm!sd_card_log_output_directory", "NxBinLogs" },
            { "mii!is_db_test_mode_enabled", false },
            { "news!system_version", 2 },
            { "nfp!not_locked_tag", true },
            { "nfp!play_report", false },
            { "nifm!is_communication_control_enabled_for_test", false },
            { "nifm!connection_test_timeout", 45000 },
            { "nifm!apply_config_timeout", 30000 },
            { "nifm!ethernet_adapter_standby_time", 10000 },
            { "nim.install!prefer_delta_evenif_inefficient", false },
            { "nim.install!apply_delta_stress_storage", 0 },
            { "ns.notification!retry_interval", 60 },
            { "ns.notification!enable_network_update", true },
            { "ns.notification!enable_download_task_list", true },
            { "ns.notification!enable_version_list", true },
            { "ns.notification!enable_random_wait", true },
            { "ns.notification!debug_waiting_limit", 0 },
            { "ns.notification!enable_request_on_cold_boot", true },
            { "ns.sdcard!mount_sdcard", true },
            { "ns.sdcard!compare_sdcard", 0 },
            { "ns.gamecard!mount_gamecard_result_value", 0 },
            { "ns.gamecard!try_gamecard_access_result_value", 0 },
            { "nv!00008600", "" },
            { "nv!0007b25e", "" },
            { "nv!0083e1", "" },
            { "nv!01621887", "" },
            { "nv!03134743", "" },
            { "nv!0356afd0", "" },
            { "nv!0356afd1", "" },
            { "nv!0356afd2", "" },
            { "nv!0356afd3", "" },
            { "nv!094313", "" },
            { "nv!0x04dc09", "" },
            { "nv!0x111133", "" },
            { "nv!0x1aa483", "" },
            { "nv!0x1cb1cf", "" },
            { "nv!0x1cb1d0", "" },
            { "nv!0x1e3221", "" },
            { "nv!0x300fc8", "" },
            { "nv!0x301fc8", "" },
            { "nv!0x302fc8", "" },
            { "nv!0x3eec59", "" },
            { "nv!0x46b3ed", "" },
            { "nv!0x523dc0", "" },
            { "nv!0x523dc1", "" },
            { "nv!0x523dc2", "" },
            { "nv!0x523dc3", "" },
            { "nv!0x523dc4", "" },
            { "nv!0x523dc5", "" },
            { "nv!0x523dc6", "" },
            { "nv!0x523dd0", "" },
            { "nv!0x523dd1", "" },
            { "nv!0x523dd3", "" },
            { "nv!0x5344bb", "" },
            { "nv!0x555237", "" },
            { "nv!0x58a234", "" },
            { "nv!0x7b4428", "" },
            { "nv!0x923dc0", "" },
            { "nv!0x923dc1", "" },
            { "nv!0x923dc2", "" },
            { "nv!0x923dc3", "" },
            { "nv!0x923dc4", "" },
            { "nv!0x923dd3", "" },
            { "nv!0x9abdc5", "" },
            { "nv!0x9abdc6", "" },
            { "nv!0xaaa36c", "" },
            { "nv!0xb09da0", "" },
            { "nv!0xb09da1", "" },
            { "nv!0xb09da2", "" },
            { "nv!0xb09da3", "" },
            { "nv!0xb09da4", "" },
            { "nv!0xb09da5", "" },
            { "nv!0xb0b348", "" },
            { "nv!0xb0b349", "" },
            { "nv!0xbb558f", "" },
            { "nv!0xbd10fb", "" },
            { "nv!0xc32ad3", "" },
            { "nv!0xce2348", "" },
            { "nv!0xcfd81f", "" },
            { "nv!0xe0036b", "" },
            { "nv!0xe01f2d", "" },
            { "nv!0xe17212", "" },
            { "nv!0xeae966", "" },
            { "nv!0xed4f82", "" },
            { "nv!0xf12335", "" },
            { "nv!0xf12336", "" },
            { "nv!10261989", "" },
            { "nv!1042d483", "" },
            { "nv!10572898", "" },
            { "nv!115631", "" },
            { "nv!12950094", "" },
            { "nv!1314f311", "" },
            { "nv!1314f312", "" },
            { "nv!13279512", "" },
            { "nv!13813496", "" },
            { "nv!14507179", "" },
            { "nv!15694569", "" },
            { "nv!16936964", "" },
            { "nv!17aa230c", "" },
            { "nv!182054", "" },
            { "nv!18273275", "" },
            { "nv!18273276", "" },
            { "nv!1854d03b", "" },
            { "nv!18add00d", "" },
            { "nv!19156670", "" },
            { "nv!19286545", "" },
            { "nv!1a298e9f", "" },
            { "nv!1acf43fe", "" },
            { "nv!1bda43fe", "" },
            { "nv!1c3b92", "" },
            { "nv!21509920", "" },
            { "nv!215323457", "" },
            { "nv!2165ad", "" },
            { "nv!2165ae", "" },
            { "nv!21be9c", "" },
            { "nv!233264316", "" },
            { "nv!234557580", "" },
            { "nv!23cd0e", "" },
            { "nv!24189123", "" },
            { "nv!2443266", "" },
            { "nv!25025519", "" },
            { "nv!255e39", "" },
            { "nv!2583364", "" },
            { "nv!2888c1", "" },
            { "nv!28ca3e", "" },
            { "nv!29871243", "" },
            { "nv!2a1f64", "" },
            { "nv!2dc432", "" },
            { "nv!2de437", "" },
            { "nv!2f3bb89c", "" },
            { "nv!2fd652", "" },
            { "nv!3001ac", "" },
            { "nv!31298772", "" },
            { "nv!313233", "" },
            { "nv!31f7d603", "" },
            { "nv!320ce4", "" },
            { "nv!32153248", "" },
            { "nv!32153249", "" },
            { "nv!335bca", "" },
            { "nv!342abb", "" },
            { "nv!34dfe6", "" },
            { "nv!34dfe7", "" },
            { "nv!34dfe8", "" },
            { "nv!34dfe9", "" },
            { "nv!35201578", "" },
            { "nv!359278", "" },
            { "nv!37f53a", "" },
            { "nv!38144972", "" },
            { "nv!38542646", "" },
            { "nv!3b74c9", "" },
            { "nv!3c136f", "" },
            { "nv!3cf72823", "" },
            { "nv!3d7af029", "" },
            { "nv!3ff34782", "" },
            { "nv!4129618", "" },
            { "nv!4189fac3", "" },
            { "nv!420bd4", "" },
            { "nv!42a699", "" },
            { "nv!441369", "" },
            { "nv!4458713e", "" },
            { "nv!4554b6", "" },
            { "nv!457425", "" },
            { "nv!4603b207", "" },
            { "nv!46574957", "" },
            { "nv!46574958", "" },
            { "nv!46813529", "" },
            { "nv!46f1e13d", "" },
            { "nv!47534c43", "" },
            { "nv!48550336", "" },
            { "nv!48576893", "" },
            { "nv!48576894", "" },
            { "nv!4889ac02", "" },
            { "nv!49005740", "" },
            { "nv!49867584", "" },
            { "nv!49960973", "" },
            { "nv!4a5341", "" },
            { "nv!4f4e48", "" },
            { "nv!4f8a0a", "" },
            { "nv!50299698", "" },
            { "nv!50299699", "" },
            { "nv!50361291", "" },
            { "nv!5242ae", "" },
            { "nv!53d30c", "" },
            { "nv!56347a", "" },
            { "nv!563a95f1", "" },
            { "nv!573823", "" },
            { "nv!58027529", "" },
            { "nv!5d2d63", "" },
            { "nv!5f7e3b", "" },
            { "nv!60461793", "" },
            { "nv!60d355", "" },
            { "nv!616627aa", "" },
            { "nv!62317182", "" },
            { "nv!6253fa2e", "" },
            { "nv!64100768", "" },
            { "nv!64100769", "" },
            { "nv!64100770", "" },
            { "nv!647395", "" },
            { "nv!66543234", "" },
            { "nv!67674763", "" },
            { "nv!67739784", "" },
            { "nv!68fb9c", "" },
            { "nv!69801276", "" },
            { "nv!6af9fa2f", "" },
            { "nv!6af9fa3f", "" },
            { "nv!6af9fa4f", "" },
            { "nv!6bd8c7", "" },
            { "nv!6c7691", "" },
            { "nv!6d4296ce", "" },
            { "nv!6dd7e7", "" },
            { "nv!6dd7e8", "" },
            { "nv!6fe11ec1", "" },
            { "nv!716511763", "" },
            { "nv!72504593", "" },
            { "nv!73304097", "" },
            { "nv!73314098", "" },
            { "nv!74095213", "" },
            { "nv!74095213a", "" },
            { "nv!74095213b", "" },
            { "nv!74095214", "" },
            { "nv!748f9649", "" },
            { "nv!75494732", "" },
            { "nv!78452832", "" },
            { "nv!784561", "" },
            { "nv!78e16b9c", "" },
            { "nv!79251225", "" },
            { "nv!7c128b", "" },
            { "nv!7ccd93", "" },
            { "nv!7df8d1", "" },
            { "nv!800c2310", "" },
            { "nv!80546710", "" },
            { "nv!80772310", "" },
            { "nv!808ee280", "" },
            { "nv!81131154", "" },
            { "nv!81274457", "" },
            { "nv!8292291f", "" },
            { "nv!83498426", "" },
            { "nv!84993794", "" },
            { "nv!84995585", "" },
            { "nv!84a0a0", "" },
            { "nv!852142", "" },
            { "nv!85612309", "" },
            { "nv!85612310", "" },
            { "nv!85612311", "" },
            { "nv!85612312", "" },
            { "nv!8623ff27", "" },
            { "nv!87364952", "" },
            { "nv!87f6275666", "" },
            { "nv!886748", "" },
            { "nv!89894423", "" },
            { "nv!8ad8a75", "" },
            { "nv!8ad8ad00", "" },
            { "nv!8bb815", "" },
            { "nv!8bb817", "" },
            { "nv!8bb818", "" },
            { "nv!8bb819", "" },
            { "nv!8e640cd1", "" },
            { "nv!8f34971a", "" },
            { "nv!8f773984", "" },
            { "nv!8f7a7d", "" },
            { "nv!902486209", "" },
            { "nv!90482571", "" },
            { "nv!91214835", "" },
            { "nv!912848290", "" },
            { "nv!915e56", "" },
            { "nv!92179063", "" },
            { "nv!92179064", "" },
            { "nv!92179065", "" },
            { "nv!92179066", "" },
            { "nv!92350358", "" },
            { "nv!92809063", "" },
            { "nv!92809064", "" },
            { "nv!92809065", "" },
            { "nv!92809066", "" },
            { "nv!92920143", "" },
            { "nv!93a89b12", "" },
            { "nv!93a89c0b", "" },
            { "nv!94812574", "" },
            { "nv!95282304", "" },
            { "nv!95394027", "" },
            { "nv!959b1f", "" },
            { "nv!9638af", "" },
            { "nv!96fd59", "" },
            { "nv!97f6275666", "" },
            { "nv!97f6275667", "" },
            { "nv!97f6275668", "" },
            { "nv!97f6275669", "" },
            { "nv!97f627566a", "" },
            { "nv!97f627566b", "" },
            { "nv!97f627566d", "" },
            { "nv!97f627566e", "" },
            { "nv!97f627566f", "" },
            { "nv!97f6275670", "" },
            { "nv!97f6275671", "" },
            { "nv!97f727566e", "" },
            { "nv!98480775", "" },
            { "nv!98480776", "" },
            { "nv!98480777", "" },
            { "nv!992431", "" },
            { "nv!9aa29065", "" },
            { "nv!9af32c", "" },
            { "nv!9af32d", "" },
            { "nv!9af32e", "" },
            { "nv!9c108b71", "" },
            { "nv!9f279065", "" },
            { "nv!a01bc728", "" },
            { "nv!a13b46c80", "" },
            { "nv!a22eb0", "" },
            { "nv!a2fb451e", "" },
            { "nv!a3456abe", "" },
            { "nv!a7044887", "" },
            { "nv!a7149200", "" },
            { "nv!a766215670", "" },
            { "nv!aac_drc_boost", "" },
            { "nv!aac_drc_cut", "" },
            { "nv!aac_drc_enc_target_level", "" },
            { "nv!aac_drc_heavy", "" },
            { "nv!aac_drc_reference_level", "" },
            { "nv!aalinegamma", "" },
            { "nv!aalinetweaks", "" },
            { "nv!ab34ee01", "" },
            { "nv!ab34ee02", "" },
            { "nv!ab34ee03", "" },
            { "nv!ac0274", "" },
            { "nv!af73c63e", "" },
            { "nv!af73c63f", "" },
            { "nv!af9927", "" },
            { "nv!afoverride", "" },
            { "nv!allocdeviceevents", "" },
            { "nv!applicationkey", "" },
            { "nv!appreturnonlybasicglsltype", "" },
            { "nv!app_softimage", "" },
            { "nv!app_supportbits2", "" },
            { "nv!assumetextureismipmappedatcreation", "" },
            { "nv!b1fb0f01", "" },
            { "nv!b3edd5", "" },
            { "nv!b40d9e03d", "" },
            { "nv!b7f6275666", "" },
            { "nv!b812c1", "" },
            { "nv!ba14ba1a", "" },
            { "nv!ba14ba1b", "" },
            { "nv!bd7559", "" },
            { "nv!bd755a", "" },
            { "nv!bd755c", "" },
            { "nv!bd755d", "" },
            { "nv!be58bb", "" },
            { "nv!be92cb", "" },
            { "nv!beefcba3", "" },
            { "nv!beefcba4", "" },
            { "nv!c023777f", "" },
            { "nv!c09dc8", "" },
            { "nv!c0d340", "" },
            { "nv!c2ff374c", "" },
            { "nv!c5e9d7a3", "" },
            { "nv!c5e9d7a4", "" },
            { "nv!c5e9d7b4", "" },
            { "nv!c618f9", "" },
            { "nv!ca345840", "" },
            { "nv!cachedisable", "" },
            { "nv!cast.on", "" },
            { "nv!cde", "" },
            { "nv!channelpriorityoverride", "" },
            { "nv!cleardatastorevidmem", "" },
            { "nv!cmdbufmemoryspaceenables", "" },
            { "nv!cmdbufminwords", "" },
            { "nv!cmdbufsizewords", "" },
            { "nv!conformantblitframebufferscissor", "" },
            { "nv!conformantincompletetextures", "" },
            { "nv!copybuffermethod", "" },
            { "nv!cubemapaniso", "" },
            { "nv!cubemapfiltering", "" },
            { "nv!d0e9a4d7", "" },
            { "nv!d13733f12", "" },
            { "nv!d1b399", "" },
            { "nv!d2983c32", "" },
            { "nv!d2983c33", "" },
            { "nv!d2e71b", "" },
            { "nv!d377dc", "" },
            { "nv!d377dd", "" },
            { "nv!d489f4", "" },
            { "nv!d4bce1", "" },
            { "nv!d518cb", "" },
            { "nv!d518cd", "" },
            { "nv!d518ce", "" },
            { "nv!d518d0", "" },
            { "nv!d518d1", "" },
            { "nv!d518d2", "" },
            { "nv!d518d3", "" },
            { "nv!d518d4", "" },
            { "nv!d518d5", "" },
            { "nv!d59eda", "" },
            { "nv!d83cbd", "" },
            { "nv!d8e777", "" },
            { "nv!debug_level", "" },
            { "nv!debug_mask", "" },
            { "nv!debug_options", "" },
            { "nv!devshmpageableallocations", "" },
            { "nv!df1f9812", "" },
            { "nv!df783c", "" },
            { "nv!diagenable", "" },
            { "nv!disallowcemask", "" },
            { "nv!disallowz16", "" },
            { "nv!dlmemoryspaceenables", "" },
            { "nv!e0bfec", "" },
            { "nv!e433456d", "" },
            { "nv!e435563f", "" },
            { "nv!e4cd9c", "" },
            { "nv!e5c972", "" },
            { "nv!e639ef", "" },
            { "nv!e802af", "" },
            { "nv!eae964", "" },
            { "nv!earlytexturehwallocation", "" },
            { "nv!eb92a3", "" },
            { "nv!ebca56", "" },
            { "nv!enable-noaud", "" },
            { "nv!enable-noavs", "" },
            { "nv!enable-prof", "" },
            { "nv!enable-sxesmode", "" },
            { "nv!enable-ulld", "" },
            { "nv!expert_detail_level", "" },
            { "nv!expert_output_mask", "" },
            { "nv!expert_report_mask", "" },
            { "nv!extensionstringnvarch", "" },
            { "nv!extensionstringversion", "" },
            { "nv!f00f1938", "" },
            { "nv!f10736", "" },
            { "nv!f1846870", "" },
            { "nv!f33bc370", "" },
            { "nv!f392a874", "" },
            { "nv!f49ae8", "" },
            { "nv!fa345cce", "" },
            { "nv!fa35cc4", "" },
            { "nv!faa14a", "" },
            { "nv!faf8a723", "" },
            { "nv!fastgs", "" },
            { "nv!fbf4ac45", "" },
            { "nv!fbo_blit_ignore_srgb", "" },
            { "nv!fc64c7", "" },
            { "nv!ff54ec97", "" },
            { "nv!ff54ec98", "" },
            { "nv!forceexitprocessdetach", "" },
            { "nv!forcerequestedesversion", "" },
            { "nv!__gl_", "" },
            { "nv!__gl_00008600", "" },
            { "nv!__gl_0007b25e", "" },
            { "nv!__gl_0083e1", "" },
            { "nv!__gl_01621887", "" },
            { "nv!__gl_03134743", "" },
            { "nv!__gl_0356afd0", "" },
            { "nv!__gl_0356afd1", "" },
            { "nv!__gl_0356afd2", "" },
            { "nv!__gl_0356afd3", "" },
            { "nv!__gl_094313", "" },
            { "nv!__gl_0x04dc09", "" },
            { "nv!__gl_0x111133", "" },
            { "nv!__gl_0x1aa483", "" },
            { "nv!__gl_0x1cb1cf", "" },
            { "nv!__gl_0x1cb1d0", "" },
            { "nv!__gl_0x1e3221", "" },
            { "nv!__gl_0x300fc8", "" },
            { "nv!__gl_0x301fc8", "" },
            { "nv!__gl_0x302fc8", "" },
            { "nv!__gl_0x3eec59", "" },
            { "nv!__gl_0x46b3ed", "" },
            { "nv!__gl_0x523dc0", "" },
            { "nv!__gl_0x523dc1", "" },
            { "nv!__gl_0x523dc2", "" },
            { "nv!__gl_0x523dc3", "" },
            { "nv!__gl_0x523dc4", "" },
            { "nv!__gl_0x523dc5", "" },
            { "nv!__gl_0x523dc6", "" },
            { "nv!__gl_0x523dd0", "" },
            { "nv!__gl_0x523dd1", "" },
            { "nv!__gl_0x523dd3", "" },
            { "nv!__gl_0x5344bb", "" },
            { "nv!__gl_0x555237", "" },
            { "nv!__gl_0x58a234", "" },
            { "nv!__gl_0x7b4428", "" },
            { "nv!__gl_0x923dc0", "" },
            { "nv!__gl_0x923dc1", "" },
            { "nv!__gl_0x923dc2", "" },
            { "nv!__gl_0x923dc3", "" },
            { "nv!__gl_0x923dc4", "" },
            { "nv!__gl_0x923dd3", "" },
            { "nv!__gl_0x9abdc5", "" },
            { "nv!__gl_0x9abdc6", "" },
            { "nv!__gl_0xaaa36c", "" },
            { "nv!__gl_0xb09da0", "" },
            { "nv!__gl_0xb09da1", "" },
            { "nv!__gl_0xb09da2", "" },
            { "nv!__gl_0xb09da3", "" },
            { "nv!__gl_0xb09da4", "" },
            { "nv!__gl_0xb09da5", "" },
            { "nv!__gl_0xb0b348", "" },
            { "nv!__gl_0xb0b349", "" },
            { "nv!__gl_0xbb558f", "" },
            { "nv!__gl_0xbd10fb", "" },
            { "nv!__gl_0xc32ad3", "" },
            { "nv!__gl_0xce2348", "" },
            { "nv!__gl_0xcfd81f", "" },
            { "nv!__gl_0xe0036b", "" },
            { "nv!__gl_0xe01f2d", "" },
            { "nv!__gl_0xe17212", "" },
            { "nv!__gl_0xeae966", "" },
            { "nv!__gl_0xed4f82", "" },
            { "nv!__gl_0xf12335", "" },
            { "nv!__gl_0xf12336", "" },
            { "nv!__gl_10261989", "" },
            { "nv!__gl_1042d483", "" },
            { "nv!__gl_10572898", "" },
            { "nv!__gl_115631", "" },
            { "nv!__gl_12950094", "" },
            { "nv!__gl_1314f311", "" },
            { "nv!__gl_1314f312", "" },
            { "nv!__gl_13279512", "" },
            { "nv!__gl_13813496", "" },
            { "nv!__gl_14507179", "" },
            { "nv!__gl_15694569", "" },
            { "nv!__gl_16936964", "" },
            { "nv!__gl_17aa230c", "" },
            { "nv!__gl_182054", "" },
            { "nv!__gl_18273275", "" },
            { "nv!__gl_18273276", "" },
            { "nv!__gl_1854d03b", "" },
            { "nv!__gl_18add00d", "" },
            { "nv!__gl_19156670", "" },
            { "nv!__gl_19286545", "" },
            { "nv!__gl_1a298e9f", "" },
            { "nv!__gl_1acf43fe", "" },
            { "nv!__gl_1bda43fe", "" },
            { "nv!__gl_1c3b92", "" },
            { "nv!__gl_21509920", "" },
            { "nv!__gl_215323457", "" },
            { "nv!__gl_2165ad", "" },
            { "nv!__gl_2165ae", "" },
            { "nv!__gl_21be9c", "" },
            { "nv!__gl_233264316", "" },
            { "nv!__gl_234557580", "" },
            { "nv!__gl_23cd0e", "" },
            { "nv!__gl_24189123", "" },
            { "nv!__gl_2443266", "" },
            { "nv!__gl_25025519", "" },
            { "nv!__gl_255e39", "" },
            { "nv!__gl_2583364", "" },
            { "nv!__gl_2888c1", "" },
            { "nv!__gl_28ca3e", "" },
            { "nv!__gl_29871243", "" },
            { "nv!__gl_2a1f64", "" },
            { "nv!__gl_2dc432", "" },
            { "nv!__gl_2de437", "" },
            { "nv!__gl_2f3bb89c", "" },
            { "nv!__gl_2fd652", "" },
            { "nv!__gl_3001ac", "" },
            { "nv!__gl_31298772", "" },
            { "nv!__gl_313233", "" },
            { "nv!__gl_31f7d603", "" },
            { "nv!__gl_320ce4", "" },
            { "nv!__gl_32153248", "" },
            { "nv!__gl_32153249", "" },
            { "nv!__gl_335bca", "" },
            { "nv!__gl_342abb", "" },
            { "nv!__gl_34dfe6", "" },
            { "nv!__gl_34dfe7", "" },
            { "nv!__gl_34dfe8", "" },
            { "nv!__gl_34dfe9", "" },
            { "nv!__gl_35201578", "" },
            { "nv!__gl_359278", "" },
            { "nv!__gl_37f53a", "" },
            { "nv!__gl_38144972", "" },
            { "nv!__gl_38542646", "" },
            { "nv!__gl_3b74c9", "" },
            { "nv!__gl_3c136f", "" },
            { "nv!__gl_3cf72823", "" },
            { "nv!__gl_3d7af029", "" },
            { "nv!__gl_3ff34782", "" },
            { "nv!__gl_4129618", "" },
            { "nv!__gl_4189fac3", "" },
            { "nv!__gl_420bd4", "" },
            { "nv!__gl_42a699", "" },
            { "nv!__gl_441369", "" },
            { "nv!__gl_4458713e", "" },
            { "nv!__gl_4554b6", "" },
            { "nv!__gl_457425", "" },
            { "nv!__gl_4603b207", "" },
            { "nv!__gl_46574957", "" },
            { "nv!__gl_46574958", "" },
            { "nv!__gl_46813529", "" },
            { "nv!__gl_46f1e13d", "" },
            { "nv!__gl_47534c43", "" },
            { "nv!__gl_48550336", "" },
            { "nv!__gl_48576893", "" },
            { "nv!__gl_48576894", "" },
            { "nv!__gl_4889ac02", "" },
            { "nv!__gl_49005740", "" },
            { "nv!__gl_49867584", "" },
            { "nv!__gl_49960973", "" },
            { "nv!__gl_4a5341", "" },
            { "nv!__gl_4f4e48", "" },
            { "nv!__gl_4f8a0a", "" },
            { "nv!__gl_50299698", "" },
            { "nv!__gl_50299699", "" },
            { "nv!__gl_50361291", "" },
            { "nv!__gl_5242ae", "" },
            { "nv!__gl_53d30c", "" },
            { "nv!__gl_56347a", "" },
            { "nv!__gl_563a95f1", "" },
            { "nv!__gl_573823", "" },
            { "nv!__gl_58027529", "" },
            { "nv!__gl_5d2d63", "" },
            { "nv!__gl_5f7e3b", "" },
            { "nv!__gl_60461793", "" },
            { "nv!__gl_60d355", "" },
            { "nv!__gl_616627aa", "" },
            { "nv!__gl_62317182", "" },
            { "nv!__gl_6253fa2e", "" },
            { "nv!__gl_64100768", "" },
            { "nv!__gl_64100769", "" },
            { "nv!__gl_64100770", "" },
            { "nv!__gl_647395", "" },
            { "nv!__gl_66543234", "" },
            { "nv!__gl_67674763", "" },
            { "nv!__gl_67739784", "" },
            { "nv!__gl_68fb9c", "" },
            { "nv!__gl_69801276", "" },
            { "nv!__gl_6af9fa2f", "" },
            { "nv!__gl_6af9fa3f", "" },
            { "nv!__gl_6af9fa4f", "" },
            { "nv!__gl_6bd8c7", "" },
            { "nv!__gl_6c7691", "" },
            { "nv!__gl_6d4296ce", "" },
            { "nv!__gl_6dd7e7", "" },
            { "nv!__gl_6dd7e8", "" },
            { "nv!__gl_6fe11ec1", "" },
            { "nv!__gl_716511763", "" },
            { "nv!__gl_72504593", "" },
            { "nv!__gl_73304097", "" },
            { "nv!__gl_73314098", "" },
            { "nv!__gl_74095213", "" },
            { "nv!__gl_74095213a", "" },
            { "nv!__gl_74095213b", "" },
            { "nv!__gl_74095214", "" },
            { "nv!__gl_748f9649", "" },
            { "nv!__gl_75494732", "" },
            { "nv!__gl_78452832", "" },
            { "nv!__gl_784561", "" },
            { "nv!__gl_78e16b9c", "" },
            { "nv!__gl_79251225", "" },
            { "nv!__gl_7c128b", "" },
            { "nv!__gl_7ccd93", "" },
            { "nv!__gl_7df8d1", "" },
            { "nv!__gl_800c2310", "" },
            { "nv!__gl_80546710", "" },
            { "nv!__gl_80772310", "" },
            { "nv!__gl_808ee280", "" },
            { "nv!__gl_81131154", "" },
            { "nv!__gl_81274457", "" },
            { "nv!__gl_8292291f", "" },
            { "nv!__gl_83498426", "" },
            { "nv!__gl_84993794", "" },
            { "nv!__gl_84995585", "" },
            { "nv!__gl_84a0a0", "" },
            { "nv!__gl_852142", "" },
            { "nv!__gl_85612309", "" },
            { "nv!__gl_85612310", "" },
            { "nv!__gl_85612311", "" },
            { "nv!__gl_85612312", "" },
            { "nv!__gl_8623ff27", "" },
            { "nv!__gl_87364952", "" },
            { "nv!__gl_87f6275666", "" },
            { "nv!__gl_886748", "" },
            { "nv!__gl_89894423", "" },
            { "nv!__gl_8ad8a75", "" },
            { "nv!__gl_8ad8ad00", "" },
            { "nv!__gl_8bb815", "" },
            { "nv!__gl_8bb817", "" },
            { "nv!__gl_8bb818", "" },
            { "nv!__gl_8bb819", "" },
            { "nv!__gl_8e640cd1", "" },
            { "nv!__gl_8f34971a", "" },
            { "nv!__gl_8f773984", "" },
            { "nv!__gl_8f7a7d", "" },
            { "nv!__gl_902486209", "" },
            { "nv!__gl_90482571", "" },
            { "nv!__gl_91214835", "" },
            { "nv!__gl_912848290", "" },
            { "nv!__gl_915e56", "" },
            { "nv!__gl_92179063", "" },
            { "nv!__gl_92179064", "" },
            { "nv!__gl_92179065", "" },
            { "nv!__gl_92179066", "" },
            { "nv!__gl_92350358", "" },
            { "nv!__gl_92809063", "" },
            { "nv!__gl_92809064", "" },
            { "nv!__gl_92809065", "" },
            { "nv!__gl_92809066", "" },
            { "nv!__gl_92920143", "" },
            { "nv!__gl_93a89b12", "" },
            { "nv!__gl_93a89c0b", "" },
            { "nv!__gl_94812574", "" },
            { "nv!__gl_95282304", "" },
            { "nv!__gl_95394027", "" },
            { "nv!__gl_959b1f", "" },
            { "nv!__gl_9638af", "" },
            { "nv!__gl_96fd59", "" },
            { "nv!__gl_97f6275666", "" },
            { "nv!__gl_97f6275667", "" },
            { "nv!__gl_97f6275668", "" },
            { "nv!__gl_97f6275669", "" },
            { "nv!__gl_97f627566a", "" },
            { "nv!__gl_97f627566b", "" },
            { "nv!__gl_97f627566d", "" },
            { "nv!__gl_97f627566e", "" },
            { "nv!__gl_97f627566f", "" },
            { "nv!__gl_97f6275670", "" },
            { "nv!__gl_97f6275671", "" },
            { "nv!__gl_97f727566e", "" },
            { "nv!__gl_98480775", "" },
            { "nv!__gl_98480776", "" },
            { "nv!__gl_98480777", "" },
            { "nv!__gl_992431", "" },
            { "nv!__gl_9aa29065", "" },
            { "nv!__gl_9af32c", "" },
            { "nv!__gl_9af32d", "" },
            { "nv!__gl_9af32e", "" },
            { "nv!__gl_9c108b71", "" },
            { "nv!__gl_9f279065", "" },
            { "nv!__gl_a01bc728", "" },
            { "nv!__gl_a13b46c80", "" },
            { "nv!__gl_a22eb0", "" },
            { "nv!__gl_a2fb451e", "" },
            { "nv!__gl_a3456abe", "" },
            { "nv!__gl_a7044887", "" },
            { "nv!__gl_a7149200", "" },
            { "nv!__gl_a766215670", "" },
            { "nv!__gl_aalinegamma", "" },
            { "nv!__gl_aalinetweaks", "" },
            { "nv!__gl_ab34ee01", "" },
            { "nv!__gl_ab34ee02", "" },
            { "nv!__gl_ab34ee03", "" },
            { "nv!__gl_ac0274", "" },
            { "nv!__gl_af73c63e", "" },
            { "nv!__gl_af73c63f", "" },
            { "nv!__gl_af9927", "" },
            { "nv!__gl_afoverride", "" },
            { "nv!__gl_allocdeviceevents", "" },
            { "nv!__gl_applicationkey", "" },
            { "nv!__gl_appreturnonlybasicglsltype", "" },
            { "nv!__gl_app_softimage", "" },
            { "nv!__gl_app_supportbits2", "" },
            { "nv!__gl_assumetextureismipmappedatcreation", "" },
            { "nv!__gl_b1fb0f01", "" },
            { "nv!__gl_b3edd5", "" },
            { "nv!__gl_b40d9e03d", "" },
            { "nv!__gl_b7f6275666", "" },
            { "nv!__gl_b812c1", "" },
            { "nv!__gl_ba14ba1a", "" },
            { "nv!__gl_ba14ba1b", "" },
            { "nv!__gl_bd7559", "" },
            { "nv!__gl_bd755a", "" },
            { "nv!__gl_bd755c", "" },
            { "nv!__gl_bd755d", "" },
            { "nv!__gl_be58bb", "" },
            { "nv!__gl_be92cb", "" },
            { "nv!__gl_beefcba3", "" },
            { "nv!__gl_beefcba4", "" },
            { "nv!__gl_c023777f", "" },
            { "nv!__gl_c09dc8", "" },
            { "nv!__gl_c0d340", "" },
            { "nv!__gl_c2ff374c", "" },
            { "nv!__gl_c5e9d7a3", "" },
            { "nv!__gl_c5e9d7a4", "" },
            { "nv!__gl_c5e9d7b4", "" },
            { "nv!__gl_c618f9", "" },
            { "nv!__gl_ca345840", "" },
            { "nv!__gl_cachedisable", "" },
            { "nv!__gl_channelpriorityoverride", "" },
            { "nv!__gl_cleardatastorevidmem", "" },
            { "nv!__gl_cmdbufmemoryspaceenables", "" },
            { "nv!__gl_cmdbufminwords", "" },
            { "nv!__gl_cmdbufsizewords", "" },
            { "nv!__gl_conformantblitframebufferscissor", "" },
            { "nv!__gl_conformantincompletetextures", "" },
            { "nv!__gl_copybuffermethod", "" },
            { "nv!__gl_cubemapaniso", "" },
            { "nv!__gl_cubemapfiltering", "" },
            { "nv!__gl_d0e9a4d7", "" },
            { "nv!__gl_d13733f12", "" },
            { "nv!__gl_d1b399", "" },
            { "nv!__gl_d2983c32", "" },
            { "nv!__gl_d2983c33", "" },
            { "nv!__gl_d2e71b", "" },
            { "nv!__gl_d377dc", "" },
            { "nv!__gl_d377dd", "" },
            { "nv!__gl_d489f4", "" },
            { "nv!__gl_d4bce1", "" },
            { "nv!__gl_d518cb", "" },
            { "nv!__gl_d518cd", "" },
            { "nv!__gl_d518ce", "" },
            { "nv!__gl_d518d0", "" },
            { "nv!__gl_d518d1", "" },
            { "nv!__gl_d518d2", "" },
            { "nv!__gl_d518d3", "" },
            { "nv!__gl_d518d4", "" },
            { "nv!__gl_d518d5", "" },
            { "nv!__gl_d59eda", "" },
            { "nv!__gl_d83cbd", "" },
            { "nv!__gl_d8e777", "" },
            { "nv!__gl_debug_level", "" },
            { "nv!__gl_debug_mask", "" },
            { "nv!__gl_debug_options", "" },
            { "nv!__gl_devshmpageableallocations", "" },
            { "nv!__gl_df1f9812", "" },
            { "nv!__gl_df783c", "" },
            { "nv!__gl_diagenable", "" },
            { "nv!__gl_disallowcemask", "" },
            { "nv!__gl_disallowz16", "" },
            { "nv!__gl_dlmemoryspaceenables", "" },
            { "nv!__gl_e0bfec", "" },
            { "nv!__gl_e433456d", "" },
            { "nv!__gl_e435563f", "" },
            { "nv!__gl_e4cd9c", "" },
            { "nv!__gl_e5c972", "" },
            { "nv!__gl_e639ef", "" },
            { "nv!__gl_e802af", "" },
            { "nv!__gl_eae964", "" },
            { "nv!__gl_earlytexturehwallocation", "" },
            { "nv!__gl_eb92a3", "" },
            { "nv!__gl_ebca56", "" },
            { "nv!__gl_expert_detail_level", "" },
            { "nv!__gl_expert_output_mask", "" },
            { "nv!__gl_expert_report_mask", "" },
            { "nv!__gl_extensionstringnvarch", "" },
            { "nv!__gl_extensionstringversion", "" },
            { "nv!__gl_f00f1938", "" },
            { "nv!__gl_f10736", "" },
            { "nv!__gl_f1846870", "" },
            { "nv!__gl_f33bc370", "" },
            { "nv!__gl_f392a874", "" },
            { "nv!__gl_f49ae8", "" },
            { "nv!__gl_fa345cce", "" },
            { "nv!__gl_fa35cc4", "" },
            { "nv!__gl_faa14a", "" },
            { "nv!__gl_faf8a723", "" },
            { "nv!__gl_fastgs", "" },
            { "nv!__gl_fbf4ac45", "" },
            { "nv!__gl_fbo_blit_ignore_srgb", "" },
            { "nv!__gl_fc64c7", "" },
            { "nv!__gl_ff54ec97", "" },
            { "nv!__gl_ff54ec98", "" },
            { "nv!__gl_forceexitprocessdetach", "" },
            { "nv!__gl_forcerequestedesversion", "" },
            { "nv!__gl_glsynctovblank", "" },
            { "nv!__gl_gvitimeoutcontrol", "" },
            { "nv!__gl_hcctrl", "" },
            { "nv!__gl_hwstate_per_ctx", "" },
            { "nv!__gl_machinecachelimit", "" },
            { "nv!__gl_maxframesallowed", "" },
            { "nv!__gl_memmgrcachedalloclimit", "" },
            { "nv!__gl_memmgrcachedalloclimitratio", "" },
            { "nv!__gl_memmgrsysheapalloclimit", "" },
            { "nv!__gl_memmgrsysheapalloclimitratio", "" },
            { "nv!__gl_memmgrvidheapalloclimit", "" },
            { "nv!__gl_mosaic_clip_to_subdev", "" },
            { "nv!__gl_mosaic_clip_to_subdev_h_overlap", "" },
            { "nv!__gl_mosaic_clip_to_subdev_v_overlap", "" },
            { "nv!__gl_overlaymergeblittimerms", "" },
            { "nv!__gl_perfmon_mode", "" },
            { "nv!__gl_pixbar_mode", "" },
            { "nv!__gl_qualityenhancements", "" },
            { "nv!__gl_r27s18q28", "" },
            { "nv!__gl_r2d7c1d8", "" },
            { "nv!__gl_renderer", "" },
            { "nv!__gl_renderqualityflags", "" },
            { "nv!__gl_s3tcquality", "" },
            { "nv!__gl_shaderatomics", "" },
            { "nv!__gl_shadercacheinitsize", "" },
            { "nv!__gl_shader_disk_cache_path", "" },
            { "nv!__gl_shader_disk_cache_read_only", "" },
            { "nv!__gl_shaderobjects", "" },
            { "nv!__gl_shaderportabilitywarnings", "" },
            { "nv!__gl_shaderwarningsaserrors", "" },
            { "nv!__gl_skiptexturehostcopies", "" },
            { "nv!__glslc_debug_level", "" },
            { "nv!__glslc_debug_mask", "" },
            { "nv!__glslc_debug_options", "" },
            { "nv!__glslc_debug_filename", "" },
            { "nv!__gl_sli_dli_control", "" },
            { "nv!__gl_sparsetexture", "" },
            { "nv!__gl_spinlooptimeout", "" },
            { "nv!__gl_sync_to_vblank", "" },
            { "nv!glsynctovblank", "" },
            { "nv!__gl_sysheapreuseratio", "" },
            { "nv!__gl_sysmemtexturepromotion", "" },
            { "nv!__gl_targetflushcount", "" },
            { "nv!__gl_tearingfreeswappresent", "" },
            { "nv!__gl_texclampbehavior", "" },
            { "nv!__gl_texlodbias", "" },
            { "nv!__gl_texmemoryspaceenables", "" },
            { "nv!__gl_textureprecache", "" },
            { "nv!__gl_threadcontrol", "" },
            { "nv!__gl_threadcontrol2", "" },
            { "nv!__gl_usegvievents", "" },
            { "nv!__gl_vbomemoryspaceenables", "" },
            { "nv!__gl_vertexlimit", "" },
            { "nv!__gl_vidheapreuseratio", "" },
            { "nv!__gl_vpipe", "" },
            { "nv!__gl_vpipeformatbloatlimit", "" },
            { "nv!__gl_wglmessageboxonabort", "" },
            { "nv!__gl_writeinfolog", "" },
            { "nv!__gl_writeprogramobjectassembly", "" },
            { "nv!__gl_writeprogramobjectsource", "" },
            { "nv!__gl_xnvadapterpresent", "" },
            { "nv!__gl_yield", "" },
            { "nv!__gl_yieldfunction", "" },
            { "nv!__gl_yieldfunctionfast", "" },
            { "nv!__gl_yieldfunctionslow", "" },
            { "nv!__gl_yieldfunctionwaitfordcqueue", "" },
            { "nv!__gl_yieldfunctionwaitforframe", "" },
            { "nv!__gl_yieldfunctionwaitforgpu", "" },
            { "nv!__gl_zbctableaddhysteresis", "" },
            { "nv!gpu_debug_mode", "" },
            { "nv!gpu_stay_on", "" },
            { "nv!gpu_timeout_ms_max", "" },
            { "nv!gvitimeoutcontrol", "" },
            { "nv!hcctrl", "" },
            { "nv!hwstate_per_ctx", "" },
            { "nv!libandroid_enable_log", "" },
            { "nv!machinecachelimit", "" },
            { "nv!maxframesallowed", "" },
            { "nv!media.aac_51_output_enabled", "" },
            { "nv!memmgrcachedalloclimit", "" },
            { "nv!memmgrcachedalloclimitratio", "" },
            { "nv!memmgrsysheapalloclimit", "" },
            { "nv!memmgrsysheapalloclimitratio", "" },
            { "nv!memmgrvidheapalloclimit", "" },
            { "nv!mosaic_clip_to_subdev", "" },
            { "nv!mosaic_clip_to_subdev_h_overlap", "" },
            { "nv!mosaic_clip_to_subdev_v_overlap", "" },
            { "nv!nvblit.dump", "" },
            { "nv!nvblit.profile", "" },
            { "nv!nvblit.twod", "" },
            { "nv!nvblit.vic", "" },
            { "nv!nvddk_vic_prevent_use", "" },
            { "nv!nv_decompression", "" },
            { "nv!nvdisp_bl_ctrl", "0" },
            { "nv!nvdisp_debug_mask", "" },
            { "nv!nvdisp_enable_ts", "0" },
            { "nv!nvhdcp_timeout_ms", "12000" },
            { "nv!nvhdcp_max_retries", "5" },
            { "nv!nv_emc_dvfs_test", "" },
            { "nv!nv_emc_init_rate_hz", "" },
            { "nv!nv_gmmu_va_page_split", "" },
            { "nv!nv_gmmu_va_range", "" },
            { "nv!nvhost_debug_mask", "" },
            { "nv!nvidia.hwc.dump_config", "" },
            { "nv!nvidia.hwc.dump_layerlist", "" },
            { "nv!nvidia.hwc.dump_windows", "" },
            { "nv!nvidia.hwc.enable_disp_trans", "" },
            { "nv!nvidia.hwc.ftrace_enable", "" },
            { "nv!nvidia.hwc.hdcp_enable", "" },
            { "nv!nvidia.hwc.hidden_window_mask0", "" },
            { "nv!nvidia.hwc.hidden_window_mask1", "" },
            { "nv!nvidia.hwc.immediate_modeset", "" },
            { "nv!nvidia.hwc.imp_enable", "" },
            { "nv!nvidia.hwc.no_egl", "" },
            { "nv!nvidia.hwc.no_scratchblit", "" },
            { "nv!nvidia.hwc.no_vic", "" },
            { "nv!nvidia.hwc.null_display", "" },
            { "nv!nvidia.hwc.scan_props", "" },
            { "nv!nvidia.hwc.swap_interval", "" },
            { "nv!nvidia.hwc.war_1515812", "0" },
            { "nv!nvmap_debug_mask", "" },
            { "nv!nv_memory_profiler", "" },
            { "nv!nvnflinger_enable_log", "" },
            { "nv!nvnflinger_flip_policy", "" },
            { "nv!nvnflinger_hotplug_autoswitch", "0" },
            { "nv!nvnflinger_prefer_primary_layer", "0" },
            { "nv!nvnflinger_service_priority", "" },
            { "nv!nvnflinger_service_threads", "" },
            { "nv!nvnflinger_swap_interval", "" },
            { "nv!nvnflinger_track_perf", "" },
            { "nv!nvnflinger_virtualdisplay_policy", "60hz" },
            { "nv!nvn_no_vsync_capability", false },
            { "nv!nvn_through_opengl", "" },
            { "nv!nv_pllcx_always_on", "" },
            { "nv!nv_pllcx_safe_div", "" },
            { "nv!nvrm_gpu_channel_interleave", "" },
            { "nv!nvrm_gpu_channel_priority", "" },
            { "nv!nvrm_gpu_channel_timeslice", "" },
            { "nv!nvrm_gpu_default_device_index", "" },
            { "nv!nvrm_gpu_dummy", "" },
            { "nv!nvrm_gpu_help", "" },
            { "nv!nvrm_gpu_nvgpu_disable", "" },
            { "nv!nvrm_gpu_nvgpu_do_nfa_partial_map", "" },
            { "nv!nvrm_gpu_nvgpu_ecc_overrides", "" },
            { "nv!nvrm_gpu_nvgpu_no_as_get_va_regions", "" },
            { "nv!nvrm_gpu_nvgpu_no_channel_abort", "" },
            { "nv!nvrm_gpu_nvgpu_no_cyclestats", "" },
            { "nv!nvrm_gpu_nvgpu_no_fixed", "" },
            { "nv!nvrm_gpu_nvgpu_no_gpu_characteristics", "" },
            { "nv!nvrm_gpu_nvgpu_no_ioctl_mutex", "" },
            { "nv!nvrm_gpu_nvgpu_no_map_buffer_ex", "" },
            { "nv!nvrm_gpu_nvgpu_no_robustness", "" },
            { "nv!nvrm_gpu_nvgpu_no_sparse", "" },
            { "nv!nvrm_gpu_nvgpu_no_syncpoints", "" },
            { "nv!nvrm_gpu_nvgpu_no_tsg", "" },
            { "nv!nvrm_gpu_nvgpu_no_zbc", "" },
            { "nv!nvrm_gpu_nvgpu_no_zcull", "" },
            { "nv!nvrm_gpu_nvgpu_wrap_channels_in_tsgs", "" },
            { "nv!nvrm_gpu_prevent_use", "" },
            { "nv!nvrm_gpu_trace", "" },
            { "nv!nvsched_debug_mask", "" },
            { "nv!nvsched_force_enable", "" },
            { "nv!nvsched_force_log", "" },
            { "nv!nv_usb_plls_hw_ctrl", "" },
            { "nv!nv_winsys", "" },
            { "nv!nvwsi_dump", "" },
            { "nv!nvwsi_fill", "" },
            { "nv!ogl_", "" },
            { "nv!ogl_0356afd0", "" },
            { "nv!ogl_0356afd1", "" },
            { "nv!ogl_0356afd2", "" },
            { "nv!ogl_0356afd3", "" },
            { "nv!ogl_0x923dc0", "" },
            { "nv!ogl_0x923dc1", "" },
            { "nv!ogl_0x923dc2", "" },
            { "nv!ogl_0x923dc3", "" },
            { "nv!ogl_0x923dc4", "" },
            { "nv!ogl_0x923dd3", "" },
            { "nv!ogl_0x9abdc5", "" },
            { "nv!ogl_0x9abdc6", "" },
            { "nv!ogl_0xbd10fb", "" },
            { "nv!ogl_0xce2348", "" },
            { "nv!ogl_10261989", "" },
            { "nv!ogl_1042d483", "" },
            { "nv!ogl_10572898", "" },
            { "nv!ogl_115631", "" },
            { "nv!ogl_12950094", "" },
            { "nv!ogl_1314f311", "" },
            { "nv!ogl_1314f312", "" },
            { "nv!ogl_13279512", "" },
            { "nv!ogl_13813496", "" },
            { "nv!ogl_14507179", "" },
            { "nv!ogl_15694569", "" },
            { "nv!ogl_16936964", "" },
            { "nv!ogl_17aa230c", "" },
            { "nv!ogl_182054", "" },
            { "nv!ogl_18273275", "" },
            { "nv!ogl_18273276", "" },
            { "nv!ogl_1854d03b", "" },
            { "nv!ogl_18add00d", "" },
            { "nv!ogl_19156670", "" },
            { "nv!ogl_19286545", "" },
            { "nv!ogl_1a298e9f", "" },
            { "nv!ogl_1acf43fe", "" },
            { "nv!ogl_1bda43fe", "" },
            { "nv!ogl_1c3b92", "" },
            { "nv!ogl_21509920", "" },
            { "nv!ogl_215323457", "" },
            { "nv!ogl_2165ad", "" },
            { "nv!ogl_2165ae", "" },
            { "nv!ogl_21be9c", "" },
            { "nv!ogl_233264316", "" },
            { "nv!ogl_234557580", "" },
            { "nv!ogl_23cd0e", "" },
            { "nv!ogl_24189123", "" },
            { "nv!ogl_2443266", "" },
            { "nv!ogl_25025519", "" },
            { "nv!ogl_255e39", "" },
            { "nv!ogl_2583364", "" },
            { "nv!ogl_2888c1", "" },
            { "nv!ogl_28ca3e", "" },
            { "nv!ogl_29871243", "" },
            { "nv!ogl_2a1f64", "" },
            { "nv!ogl_2dc432", "" },
            { "nv!ogl_2de437", "" },
            { "nv!ogl_2f3bb89c", "" },
            { "nv!ogl_2fd652", "" },
            { "nv!ogl_3001ac", "" },
            { "nv!ogl_31298772", "" },
            { "nv!ogl_313233", "" },
            { "nv!ogl_31f7d603", "" },
            { "nv!ogl_320ce4", "" },
            { "nv!ogl_32153248", "" },
            { "nv!ogl_32153249", "" },
            { "nv!ogl_335bca", "" },
            { "nv!ogl_342abb", "" },
            { "nv!ogl_34dfe6", "" },
            { "nv!ogl_34dfe7", "" },
            { "nv!ogl_34dfe8", "" },
            { "nv!ogl_34dfe9", "" },
            { "nv!ogl_35201578", "" },
            { "nv!ogl_359278", "" },
            { "nv!ogl_37f53a", "" },
            { "nv!ogl_38144972", "" },
            { "nv!ogl_38542646", "" },
            { "nv!ogl_3b74c9", "" },
            { "nv!ogl_3c136f", "" },
            { "nv!ogl_3cf72823", "" },
            { "nv!ogl_3d7af029", "" },
            { "nv!ogl_3ff34782", "" },
            { "nv!ogl_4129618", "" },
            { "nv!ogl_4189fac3", "" },
            { "nv!ogl_420bd4", "" },
            { "nv!ogl_42a699", "" },
            { "nv!ogl_441369", "" },
            { "nv!ogl_4458713e", "" },
            { "nv!ogl_4554b6", "" },
            { "nv!ogl_457425", "" },
            { "nv!ogl_4603b207", "" },
            { "nv!ogl_46574957", "" },
            { "nv!ogl_46574958", "" },
            { "nv!ogl_46813529", "" },
            { "nv!ogl_46f1e13d", "" },
            { "nv!ogl_47534c43", "" },
            { "nv!ogl_48550336", "" },
            { "nv!ogl_48576893", "" },
            { "nv!ogl_48576894", "" },
            { "nv!ogl_4889ac02", "" },
            { "nv!ogl_49005740", "" },
            { "nv!ogl_49867584", "" },
            { "nv!ogl_49960973", "" },
            { "nv!ogl_4a5341", "" },
            { "nv!ogl_4f4e48", "" },
            { "nv!ogl_4f8a0a", "" },
            { "nv!ogl_50299698", "" },
            { "nv!ogl_50299699", "" },
            { "nv!ogl_50361291", "" },
            { "nv!ogl_5242ae", "" },
            { "nv!ogl_53d30c", "" },
            { "nv!ogl_56347a", "" },
            { "nv!ogl_563a95f1", "" },
            { "nv!ogl_573823", "" },
            { "nv!ogl_58027529", "" },
            { "nv!ogl_5d2d63", "" },
            { "nv!ogl_5f7e3b", "" },
            { "nv!ogl_60461793", "" },
            { "nv!ogl_60d355", "" },
            { "nv!ogl_616627aa", "" },
            { "nv!ogl_62317182", "" },
            { "nv!ogl_6253fa2e", "" },
            { "nv!ogl_64100768", "" },
            { "nv!ogl_64100769", "" },
            { "nv!ogl_64100770", "" },
            { "nv!ogl_647395", "" },
            { "nv!ogl_66543234", "" },
            { "nv!ogl_67674763", "" },
            { "nv!ogl_67739784", "" },
            { "nv!ogl_68fb9c", "" },
            { "nv!ogl_69801276", "" },
            { "nv!ogl_6af9fa2f", "" },
            { "nv!ogl_6af9fa3f", "" },
            { "nv!ogl_6af9fa4f", "" },
            { "nv!ogl_6bd8c7", "" },
            { "nv!ogl_6c7691", "" },
            { "nv!ogl_6d4296ce", "" },
            { "nv!ogl_6dd7e7", "" },
            { "nv!ogl_6dd7e8", "" },
            { "nv!ogl_6fe11ec1", "" },
            { "nv!ogl_716511763", "" },
            { "nv!ogl_72504593", "" },
            { "nv!ogl_73304097", "" },
            { "nv!ogl_73314098", "" },
            { "nv!ogl_74095213", "" },
            { "nv!ogl_74095213a", "" },
            { "nv!ogl_74095213b", "" },
            { "nv!ogl_74095214", "" },
            { "nv!ogl_748f9649", "" },
            { "nv!ogl_75494732", "" },
            { "nv!ogl_78452832", "" },
            { "nv!ogl_784561", "" },
            { "nv!ogl_78e16b9c", "" },
            { "nv!ogl_79251225", "" },
            { "nv!ogl_7c128b", "" },
            { "nv!ogl_7ccd93", "" },
            { "nv!ogl_7df8d1", "" },
            { "nv!ogl_800c2310", "" },
            { "nv!ogl_80546710", "" },
            { "nv!ogl_80772310", "" },
            { "nv!ogl_808ee280", "" },
            { "nv!ogl_81131154", "" },
            { "nv!ogl_81274457", "" },
            { "nv!ogl_8292291f", "" },
            { "nv!ogl_83498426", "" },
            { "nv!ogl_84993794", "" },
            { "nv!ogl_84995585", "" },
            { "nv!ogl_84a0a0", "" },
            { "nv!ogl_852142", "" },
            { "nv!ogl_85612309", "" },
            { "nv!ogl_85612310", "" },
            { "nv!ogl_85612311", "" },
            { "nv!ogl_85612312", "" },
            { "nv!ogl_8623ff27", "" },
            { "nv!ogl_87364952", "" },
            { "nv!ogl_87f6275666", "" },
            { "nv!ogl_886748", "" },
            { "nv!ogl_89894423", "" },
            { "nv!ogl_8ad8a75", "" },
            { "nv!ogl_8ad8ad00", "" },
            { "nv!ogl_8bb815", "" },
            { "nv!ogl_8bb817", "" },
            { "nv!ogl_8bb818", "" },
            { "nv!ogl_8bb819", "" },
            { "nv!ogl_8e640cd1", "" },
            { "nv!ogl_8f34971a", "" },
            { "nv!ogl_8f773984", "" },
            { "nv!ogl_8f7a7d", "" },
            { "nv!ogl_902486209", "" },
            { "nv!ogl_90482571", "" },
            { "nv!ogl_91214835", "" },
            { "nv!ogl_912848290", "" },
            { "nv!ogl_915e56", "" },
            { "nv!ogl_92179063", "" },
            { "nv!ogl_92179064", "" },
            { "nv!ogl_92179065", "" },
            { "nv!ogl_92179066", "" },
            { "nv!ogl_92350358", "" },
            { "nv!ogl_92809063", "" },
            { "nv!ogl_92809064", "" },
            { "nv!ogl_92809065", "" },
            { "nv!ogl_92809066", "" },
            { "nv!ogl_92920143", "" },
            { "nv!ogl_93a89b12", "" },
            { "nv!ogl_93a89c0b", "" },
            { "nv!ogl_94812574", "" },
            { "nv!ogl_95282304", "" },
            { "nv!ogl_95394027", "" },
            { "nv!ogl_959b1f", "" },
            { "nv!ogl_9638af", "" },
            { "nv!ogl_96fd59", "" },
            { "nv!ogl_97f6275666", "" },
            { "nv!ogl_97f6275667", "" },
            { "nv!ogl_97f6275668", "" },
            { "nv!ogl_97f6275669", "" },
            { "nv!ogl_97f627566a", "" },
            { "nv!ogl_97f627566b", "" },
            { "nv!ogl_97f627566d", "" },
            { "nv!ogl_97f627566e", "" },
            { "nv!ogl_97f627566f", "" },
            { "nv!ogl_97f6275670", "" },
            { "nv!ogl_97f6275671", "" },
            { "nv!ogl_97f727566e", "" },
            { "nv!ogl_98480775", "" },
            { "nv!ogl_98480776", "" },
            { "nv!ogl_98480777", "" },
            { "nv!ogl_992431", "" },
            { "nv!ogl_9aa29065", "" },
            { "nv!ogl_9af32c", "" },
            { "nv!ogl_9af32d", "" },
            { "nv!ogl_9af32e", "" },
            { "nv!ogl_9c108b71", "" },
            { "nv!ogl_9f279065", "" },
            { "nv!ogl_a01bc728", "" },
            { "nv!ogl_a13b46c80", "" },
            { "nv!ogl_a22eb0", "" },
            { "nv!ogl_a2fb451e", "" },
            { "nv!ogl_a3456abe", "" },
            { "nv!ogl_a7044887", "" },
            { "nv!ogl_a7149200", "" },
            { "nv!ogl_a766215670", "" },
            { "nv!ogl_aalinegamma", "" },
            { "nv!ogl_aalinetweaks", "" },
            { "nv!ogl_ab34ee01", "" },
            { "nv!ogl_ab34ee02", "" },
            { "nv!ogl_ab34ee03", "" },
            { "nv!ogl_ac0274", "" },
            { "nv!ogl_af73c63e", "" },
            { "nv!ogl_af73c63f", "" },
            { "nv!ogl_af9927", "" },
            { "nv!ogl_afoverride", "" },
            { "nv!ogl_allocdeviceevents", "" },
            { "nv!ogl_applicationkey", "" },
            { "nv!ogl_appreturnonlybasicglsltype", "" },
            { "nv!ogl_app_softimage", "" },
            { "nv!ogl_app_supportbits2", "" },
            { "nv!ogl_assumetextureismipmappedatcreation", "" },
            { "nv!ogl_b1fb0f01", "" },
            { "nv!ogl_b3edd5", "" },
            { "nv!ogl_b40d9e03d", "" },
            { "nv!ogl_b7f6275666", "" },
            { "nv!ogl_b812c1", "" },
            { "nv!ogl_ba14ba1a", "" },
            { "nv!ogl_ba14ba1b", "" },
            { "nv!ogl_bd7559", "" },
            { "nv!ogl_bd755a", "" },
            { "nv!ogl_bd755c", "" },
            { "nv!ogl_bd755d", "" },
            { "nv!ogl_be58bb", "" },
            { "nv!ogl_be92cb", "" },
            { "nv!ogl_beefcba3", "" },
            { "nv!ogl_beefcba4", "" },
            { "nv!ogl_c023777f", "" },
            { "nv!ogl_c09dc8", "" },
            { "nv!ogl_c0d340", "" },
            { "nv!ogl_c2ff374c", "" },
            { "nv!ogl_c5e9d7a3", "" },
            { "nv!ogl_c5e9d7a4", "" },
            { "nv!ogl_c5e9d7b4", "" },
            { "nv!ogl_c618f9", "" },
            { "nv!ogl_ca345840", "" },
            { "nv!ogl_cachedisable", "" },
            { "nv!ogl_channelpriorityoverride", "" },
            { "nv!ogl_cleardatastorevidmem", "" },
            { "nv!ogl_cmdbufmemoryspaceenables", "" },
            { "nv!ogl_cmdbufminwords", "" },
            { "nv!ogl_cmdbufsizewords", "" },
            { "nv!ogl_conformantblitframebufferscissor", "" },
            { "nv!ogl_conformantincompletetextures", "" },
            { "nv!ogl_copybuffermethod", "" },
            { "nv!ogl_cubemapaniso", "" },
            { "nv!ogl_cubemapfiltering", "" },
            { "nv!ogl_d0e9a4d7", "" },
            { "nv!ogl_d13733f12", "" },
            { "nv!ogl_d1b399", "" },
            { "nv!ogl_d2983c32", "" },
            { "nv!ogl_d2983c33", "" },
            { "nv!ogl_d2e71b", "" },
            { "nv!ogl_d377dc", "" },
            { "nv!ogl_d377dd", "" },
            { "nv!ogl_d489f4", "" },
            { "nv!ogl_d4bce1", "" },
            { "nv!ogl_d518cb", "" },
            { "nv!ogl_d518cd", "" },
            { "nv!ogl_d518ce", "" },
            { "nv!ogl_d518d0", "" },
            { "nv!ogl_d518d1", "" },
            { "nv!ogl_d518d2", "" },
            { "nv!ogl_d518d3", "" },
            { "nv!ogl_d518d4", "" },
            { "nv!ogl_d518d5", "" },
            { "nv!ogl_d59eda", "" },
            { "nv!ogl_d83cbd", "" },
            { "nv!ogl_d8e777", "" },
            { "nv!ogl_debug_level", "" },
            { "nv!ogl_debug_mask", "" },
            { "nv!ogl_debug_options", "" },
            { "nv!ogl_devshmpageableallocations", "" },
            { "nv!ogl_df1f9812", "" },
            { "nv!ogl_df783c", "" },
            { "nv!ogl_diagenable", "" },
            { "nv!ogl_disallowcemask", "" },
            { "nv!ogl_disallowz16", "" },
            { "nv!ogl_dlmemoryspaceenables", "" },
            { "nv!ogl_e0bfec", "" },
            { "nv!ogl_e433456d", "" },
            { "nv!ogl_e435563f", "" },
            { "nv!ogl_e4cd9c", "" },
            { "nv!ogl_e5c972", "" },
            { "nv!ogl_e639ef", "" },
            { "nv!ogl_e802af", "" },
            { "nv!ogl_eae964", "" },
            { "nv!ogl_earlytexturehwallocation", "" },
            { "nv!ogl_eb92a3", "" },
            { "nv!ogl_ebca56", "" },
            { "nv!ogl_expert_detail_level", "" },
            { "nv!ogl_expert_output_mask", "" },
            { "nv!ogl_expert_report_mask", "" },
            { "nv!ogl_extensionstringnvarch", "" },
            { "nv!ogl_extensionstringversion", "" },
            { "nv!ogl_f00f1938", "" },
            { "nv!ogl_f10736", "" },
            { "nv!ogl_f1846870", "" },
            { "nv!ogl_f33bc370", "" },
            { "nv!ogl_f392a874", "" },
            { "nv!ogl_f49ae8", "" },
            { "nv!ogl_fa345cce", "" },
            { "nv!ogl_fa35cc4", "" },
            { "nv!ogl_faa14a", "" },
            { "nv!ogl_faf8a723", "" },
            { "nv!ogl_fastgs", "" },
            { "nv!ogl_fbf4ac45", "" },
            { "nv!ogl_fbo_blit_ignore_srgb", "" },
            { "nv!ogl_fc64c7", "" },
            { "nv!ogl_ff54ec97", "" },
            { "nv!ogl_ff54ec98", "" },
            { "nv!ogl_forceexitprocessdetach", "" },
            { "nv!ogl_forcerequestedesversion", "" },
            { "nv!ogl_glsynctovblank", "" },
            { "nv!ogl_gvitimeoutcontrol", "" },
            { "nv!ogl_hcctrl", "" },
            { "nv!ogl_hwstate_per_ctx", "" },
            { "nv!ogl_machinecachelimit", "" },
            { "nv!ogl_maxframesallowed", "" },
            { "nv!ogl_memmgrcachedalloclimit", "" },
            { "nv!ogl_memmgrcachedalloclimitratio", "" },
            { "nv!ogl_memmgrsysheapalloclimit", "" },
            { "nv!ogl_memmgrsysheapalloclimitratio", "" },
            { "nv!ogl_memmgrvidheapalloclimit", "" },
            { "nv!ogl_mosaic_clip_to_subdev", "" },
            { "nv!ogl_mosaic_clip_to_subdev_h_overlap", "" },
            { "nv!ogl_mosaic_clip_to_subdev_v_overlap", "" },
            { "nv!ogl_overlaymergeblittimerms", "" },
            { "nv!ogl_perfmon_mode", "" },
            { "nv!ogl_pixbar_mode", "" },
            { "nv!ogl_qualityenhancements", "" },
            { "nv!ogl_r27s18q28", "" },
            { "nv!ogl_r2d7c1d8", "" },
            { "nv!ogl_renderer", "" },
            { "nv!ogl_renderqualityflags", "" },
            { "nv!ogl_s3tcquality", "" },
            { "nv!ogl_shaderatomics", "" },
            { "nv!ogl_shadercacheinitsize", "" },
            { "nv!ogl_shader_disk_cache_path", "" },
            { "nv!ogl_shader_disk_cache_read_only", "" },
            { "nv!ogl_shaderobjects", "" },
            { "nv!ogl_shaderportabilitywarnings", "" },
            { "nv!ogl_shaderwarningsaserrors", "" },
            { "nv!ogl_skiptexturehostcopies", "" },
            { "nv!ogl_sli_dli_control", "" },
            { "nv!ogl_sparsetexture", "" },
            { "nv!ogl_spinlooptimeout", "" },
            { "nv!ogl_sync_to_vblank", "" },
            { "nv!ogl_sysheapreuseratio", "" },
            { "nv!ogl_sysmemtexturepromotion", "" },
            { "nv!ogl_targetflushcount", "" },
            { "nv!ogl_tearingfreeswappresent", "" },
            { "nv!ogl_texclampbehavior", "" },
            { "nv!ogl_texlodbias", "" },
            { "nv!ogl_texmemoryspaceenables", "" },
            { "nv!ogl_textureprecache", "" },
            { "nv!ogl_threadcontrol", "" },
            { "nv!ogl_threadcontrol2", "" },
            { "nv!ogl_usegvievents", "" },
            { "nv!ogl_vbomemoryspaceenables", "" },
            { "nv!ogl_vertexlimit", "" },
            { "nv!ogl_vidheapreuseratio", "" },
            { "nv!ogl_vpipe", "" },
            { "nv!ogl_vpipeformatbloatlimit", "" },
            { "nv!ogl_wglmessageboxonabort", "" },
            { "nv!ogl_writeinfolog", "" },
            { "nv!ogl_writeprogramobjectassembly", "" },
            { "nv!ogl_writeprogramobjectsource", "" },
            { "nv!ogl_xnvadapterpresent", "" },
            { "nv!ogl_yield", "" },
            { "nv!ogl_yieldfunction", "" },
            { "nv!ogl_yieldfunctionfast", "" },
            { "nv!ogl_yieldfunctionslow", "" },
            { "nv!ogl_yieldfunctionwaitfordcqueue", "" },
            { "nv!ogl_yieldfunctionwaitforframe", "" },
            { "nv!ogl_yieldfunctionwaitforgpu", "" },
            { "nv!ogl_zbctableaddhysteresis", "" },
            { "nv!overlaymergeblittimerms", "" },
            { "nv!perfmon_mode", "" },
            { "nv!persist.sys.display.resolution", "" },
            { "nv!persist.tegra.composite.fallb", "" },
            { "nv!persist.tegra.composite.policy", "" },
            { "nv!persist.tegra.composite.range", "" },
            { "nv!persist.tegra.compositor", "" },
            { "nv!persist.tegra.compositor.virt", "" },
            { "nv!persist.tegra.compression", "" },
            { "nv!persist.tegra.cursor.enable", "" },
            { "nv!persist.tegra.didim.enable", "" },
            { "nv!persist.tegra.didim.normal", "" },
            { "nv!persist.tegra.didim.video", "" },
            { "nv!persist.tegra.disp.heads", "" },
            { "nv!persist.tegra.gamma_correction", "" },
            { "nv!persist.tegra.gpu_mapping_cache", "" },
            { "nv!persist.tegra.grlayout", "" },
            { "nv!persist.tegra.hdmi.2020.10", "" },
            { "nv!persist.tegra.hdmi.2020.fake", "" },
            { "nv!persist.tegra.hdmi.2020.force", "" },
            { "nv!persist.tegra.hdmi.autorotate", "" },
            { "nv!persist.tegra.hdmi.hdr.fake", "" },
            { "nv!persist.tegra.hdmi.ignore_ratio", "" },
            { "nv!persist.tegra.hdmi.limit.clock", "" },
            { "nv!persist.tegra.hdmi.only_16_9", "" },
            { "nv!persist.tegra.hdmi.range", "" },
            { "nv!persist.tegra.hdmi.resolution", "" },
            { "nv!persist.tegra.hdmi.underscan", "" },
            { "nv!persist.tegra.hdmi.yuv.422", "" },
            { "nv!persist.tegra.hdmi.yuv.444", "" },
            { "nv!persist.tegra.hdmi.yuv.enable", "" },
            { "nv!persist.tegra.hdmi.yuv.force", "" },
            { "nv!persist.tegra.hwc.nvdc", "" },
            { "nv!persist.tegra.idle.minimum_fps", "" },
            { "nv!persist.tegra.panel.rotation", "" },
            { "nv!persist.tegra.scan_props", "" },
            { "nv!persist.tegra.stb.mode", "" },
            { "nv!persist.tegra.zbc_override", "" },
            { "nv!pixbar_mode", "" },
            { "nv!qualityenhancements", "" },
            { "nv!r27s18q28", "" },
            { "nv!r2d7c1d8", "" },
            { "nv!renderer", "" },
            { "nv!renderqualityflags", "" },
            { "nv!rmos_debug_mask", "" },
            { "nv!rmos_set_production_mode", "" },
            { "nv!s3tcquality", "" },
            { "nv!shaderatomics", "" },
            { "nv!shadercacheinitsize", "" },
            { "nv!shader_disk_cache_path", "" },
            { "nv!shader_disk_cache_read_only", "" },
            { "nv!shaderobjects", "" },
            { "nv!shaderportabilitywarnings", "" },
            { "nv!shaderwarningsaserrors", "" },
            { "nv!skiptexturehostcopies", "" },
            { "nv!sli_dli_control", "" },
            { "nv!sparsetexture", "" },
            { "nv!spinlooptimeout", "" },
            { "nv!sync_to_vblank", "" },
            { "nv!sysheapreuseratio", "" },
            { "nv!sysmemtexturepromotion", "" },
            { "nv!targetflushcount", "" },
            { "nv!tearingfreeswappresent", "" },
            { "nv!tegra.refresh", "" },
            { "nv!texclampbehavior", "" },
            { "nv!texlodbias", "" },
            { "nv!texmemoryspaceenables", "" },
            { "nv!textureprecache", "" },
            { "nv!threadcontrol", "" },
            { "nv!threadcontrol2", "" },
            { "nv!tvmr.avp.logs", "" },
            { "nv!tvmr.buffer.logs", "" },
            { "nv!tvmr.dec.prof", "" },
            { "nv!tvmr.deint.logs", "" },
            { "nv!tvmr.dfs.logs", "" },
            { "nv!tvmr.ffprof.logs", "" },
            { "nv!tvmr.game.stream", "" },
            { "nv!tvmr.general.logs", "" },
            { "nv!tvmr.input.dump", "" },
            { "nv!tvmr.seeking.logs", "" },
            { "nv!tvmr.ts_pulldown", "" },
            { "nv!usegvievents", "" },
            { "nv!vbomemoryspaceenables", "" },
            { "nv!vcc_debug_ip", "" },
            { "nv!vcc_verbose_level", "" },
            { "nv!vertexlimit", "" },
            { "nv!viccomposer.filter", "" },
            { "nv!videostats-enable", "" },
            { "nv!vidheapreuseratio", "" },
            { "nv!vpipe", "" },
            { "nv!vpipeformatbloatlimit", "" },
            { "nv!wglmessageboxonabort", "" },
            { "nv!writeinfolog", "" },
            { "nv!writeprogramobjectassembly", "" },
            { "nv!writeprogramobjectsource", "" },
            { "nv!xnvadapterpresent", "" },
            { "nv!yield", "" },
            { "nv!yieldfunction", "" },
            { "nv!yieldfunctionfast", "" },
            { "nv!yieldfunctionslow", "" },
            { "nv!yieldfunctionwaitfordcqueue", "" },
            { "nv!yieldfunctionwaitforframe", "" },
            { "nv!yieldfunctionwaitforgpu", "" },
            { "nv!zbctableaddhysteresis", "" },
            { "pcm!enable", true },
            { "pctl!intermittent_task_interval_seconds", 21600 },
            { "prepo!devmenu_prepo_page_view", false },
            { "prepo!background_processing", true },
            { "prepo!transmission_interval_min", 10 },
            { "prepo!transmission_retry_interval", 3600 },
            { "psm!evaluation_log_enabled", false },
            { "snap_shot_dump!auto_dump", false },
            { "snap_shot_dump!output_dir", "%USERPROFILE%/Documents/Nintendo/NXDMP" },
            { "snap_shot_dump!full_dump", false },
            { "systemconfig!field_testing", false },
            { "systemconfig!exhivision", false },
            { "systempowerstate!always_reboot", false },
            { "systempowerstate!power_state_message_emulation_trigger_time", 0 },
            { "systempowerstate!power_state_message_to_emulate", 0 },
            { "target_manager!device_name", "" },
            { "vulnerability!needs_update_vulnerability_policy", 0 },
            { "apm!performance_mode_policy", "auto" },
            { "apm!sdev_throttling_enabled", true },
            { "apm!sdev_throttling_additional_delay_us", 16000 },
            { "apm!battery_draining_enabled", false },
            { "apm!sdev_cpu_overclock_enabled", false },
            { "bcat!production_mode", true },
            { "bpc!enable_quasi_off", true },
            { "bsp0!usb", "UDS" },
            { "bsp0!tm_transport", "USB" },
            { "bluetooth_debug!skip_boot", false },
            { "contents_delivery!enable_debug_api", false },
            { "eupld!upload_enabled", true },
            { "fatal!transition_to_fatal", true },
            { "fatal!show_extra_info", false },
            { "gpu_core_dump!auto_dump", false },
            { "hid_debug!enables_debugpad", false },
            { "hid_debug!manages_devices", true },
            { "hid_debug!emulate_future_device", false },
            { "hid_debug!emulate_firmware_update_failure", false },
            { "hid_debug!emulate_mcu_hardware_error", false },
            { "hid_debug!firmware_update_failure_emulation_mode", 0 },
            { "jit_debug!enable_jit_debug", false },
            { "npns!background_processing", true },
            { "npns!logmanager_redirection", true },
            { "npns!sleep_processing_timeout", 30 },
            { "npns!sleep_periodic_interval", 10800 },
            { "npns!sleep_max_try_count", 5 },
            { "npns!test_mode", false },
            { "ns.applet!overlay_applet_id", "0x010000000000100c" },
            { "ns.applet!system_applet_id", "0x0100000000001000" },
            { "ns.applet!shop_applet_id", "0x010000000000100b" },
            { "ns.autoboot!enabled", true },
            { "ns.pseudodeviceid!reset_pseudo_device_id", false },
            { "nsd!environment_identifier", "lp1" },
            { "nsd!test_mode", false },
            { "ntc!is_autonomic_correction_enabled", true },
            { "ntc!autonomic_correction_interval_seconds", 432000 },
            { "ntc!autonomic_correction_failed_retry_interval_seconds", 1800 },
            { "ntc!autonomic_correction_immediate_try_count_max", 4 },
            { "ntc!autonomic_correction_immediate_try_interval_milliseconds", 5000 },
            { "nv!nv_graphics_firmware_memory_margin", false },
            { "omm!operation_mode_policy", "auto" },
            { "omm!sleep_fade_in_ms", 50 },
            { "omm!sleep_fade_out_ms", 100 },
            { "omm!charging_sign_ms", 3000 },
            { "omm!low_battery_sign_ms", 3000 },
            { "omm!sign_fade_in_ms", 0 },
            { "omm!sign_fade_out_ms", 400 },
            { "omm!sign_wait_layer_visible_ms", 100 },
            { "omm!startup_fade_in_ms", 200 },
            { "omm!startup_fade_out_ms", 400 },
            { "omm!backlight_off_ms_on_handheld_switch", 150 },
            { "omm!sleep_on_ac_ok_boot", true },
            { "pdm!save_playlog", true },
            { "productinfo!product_name", "Nintendo Switch" },
            { "productinfo!cec_osd_name", "NintendoSwitch" },
            { "ro!ease_nro_restriction", false },
            { "settings_debug!is_debug_mode_enabled", false },
            { "systemreport!enabled", true },
            { "systemsleep!enter_sleep", true },
            { "systemsleep!enter_sc7", true },
            { "systemsleep!keep_vdd_core", true },
            { "systemsleep!disable_tma_sleep", false },
            { "systemsleep!disable_auto_sleep", false },
            { "systemsleep!override_auto_sleep_time", 0 },
            { "systemsleep!sleep_pending_time_ms", 15000 },
            { "systemsleep!hush_time_after_brief_power_button_press_ms", 1000 },
            { "systemsleep!transition_timeout_sec", 60 },
            { "systemsleep!dummy_event_auto_wake", false },
            { "systemupdate!debug_id", "0x0000000000000000" },
            { "systemupdate!debug_version", 0 },
            { "systemupdate!bgnup_retry_seconds", 60 },
            { "systemupdate!enable_background_download_stress_testing", false },
            { "systemupdate!debug_id_for_content_delivery", "0x0000000000000000" },
            { "systemupdate!debug_version_for_content_delivery", 0 },
            { "systemupdate!assumed_system_applet_version", 0 },
            { "tc!iir_filter_gain_soc", 100 },
            { "tc!iir_filter_gain_pcb", 100 },
            { "tc!tskin_soc_coefficients_handheld", "[5464, 174190]" },
            { "tc!tskin_soc_coefficients_console", "[6182, 112480]" },
            { "tc!tskin_pcb_coefficients_handheld", "[5464, 174190]" },
            { "tc!tskin_pcb_coefficients_console", "[6182, 112480]" },
            { "tc!tskin_select", "both" },
            { "tc!tskin_rate_table_handheld", "[[-1000000, 40000, 0, 0], [36000, 43000, 51, 51], [43000, 48000, 51, 102], [48000, 53000, 102, 153], [53000, 1000000, 153, 153], [48000, 1000000, 153, 153]]" },
            { "tc!tskin_rate_table_console", "[[-1000000, 43000, 51, 51], [43000, 53000, 51, 153], [53000, 58000, 153, 255], [58000, 1000000, 255, 255]]" },
            { "tc!rate_select", "both" },
            { "tc!log_enabled", false },
            { "tc!sleep_enabled", true },
            { "time!standard_steady_clock_test_offset_minutes", 0 },
            { "time!standard_steady_clock_rtc_update_interval_minutes", 5 },
            { "time!standard_network_clock_sufficient_accuracy_minutes", 43200 },
            { "time!standard_user_clock_initial_year", 2019 },
            { "usb!usb30_force_enabled", false },
            { "wlan_debug!skip_wlan_boot", false }
        };
    }
}